## pyg 0.9.6-4.1build1

=== Makefile ===
WLPDIR=wlp

CSRCDIR=$(WLPDIR)/C
MODULEDIR=$(WLPDIR)/module
BINDIR=$(WLPDIR)

bin:
	$(MAKE) -C $(WLPDIR)

install:
	install pygm2n pygn2m $(DESTDIR)/usr/bin
	install *.py $(DESTDIR)/usr/lib/pyg
	install *.so $(DESTDIR)/usr/lib/pyg

clean:
	-$(MAKE) -C $(WLPDIR) clean
	-rm *.pyc *.so

=== wlp/Makefile ===
MODULEDIR=module
CSRCDIR=C
BINDIR=..

# modules name without $(MODULEDIR)
SOLIST=test.so



all: bin

bin: initmodule wlp makemodule
	chmod 0644 $(MODULEDIR)/*.so
	mv $(MODULEDIR)/*.so $(BINDIR)

# Init Makefile & Co. file for building python module
initmodule:
	$(MAKE) -C $(MODULEDIR) -f Makefile.pre.in boot

# The White List Parser Module
wlp:
	$(MAKE) -C $(CSRCDIR) archive
	
# Really make python module as .so
makemodule:
	$(MAKE) -C $(MODULEDIR)



clean: cleanmodule cleansrc
	-rm $(BINDIR)/*.so

cleansrc:
	-$(MAKE) -C $(CSRCDIR) clean

cleanmodule:
	-$(MAKE) -C $(MODULEDIR) clean
	-rm $(MODULEDIR)/Makefile.pre $(MODULEDIR)/Makefile
	-rm $(MODULEDIR)/config.c
	-rm $(MODULEDIR)/sedscript
	-rm $(MODULEDIR)/Setup

=== wlp/C/Makefile ===
CC=gcc
AR=ar
FLEX=flex
YACC=bison

CCOPTS=-Wall -ansi
CCSHARED=-fPIC
AROPTS=-rs
FLEXOPTS=
YACCOPTS=-d

SRCDIR=.
BINDIR=.

OBJFILE=structs.o commands.tab.o lex.yy.o

all: archive bin

# archive file for python module
archive: structs bison flex  /usr/lib/libfl.a macro.h structs.h commands.tab.h
	$(AR) $(AROPTS)  $(BINDIR)/wlp.a $(OBJFILE) \
		/usr/lib/libfl.a

# binary (executable) file for testing
executable: bin

bin: structs bison flex  /usr/lib/libfl.a macro.h structs.h commands.tab.h
	$(CC) $(CCSHARED) $(CCOPTS) $(OBJFILE) \
		yytest.c /usr/lib/libfl.a -o ./yytest

flex:
	$(FLEX) $(FLEXOPTS) commands.l
	$(CC) $(CCSHARED) -c lex.yy.c -o lex.yy.o

bison:
	$(YACC) $(YACCOPTS) -d commands.y -b commands
	$(CC) $(CCSHARED) -c commands.tab.c -o commands.tab.o

structs:
	$(CC) $(CCSHARED) $(CCOPTS) -c structs.c -o structs.o 

clean:
	-rm $(OBJFILE) lex.yy.c commands.tab.h commands.tab.c wlp.a yytest

## pyg 0.9.6-2

=== debian/changelog ===
pyg (0.9.6-2) unstable; urgency=low

  * typos in debian/control fixed (closes: #125276) 

 -- Cosimo Alfarano <kalfa@debian.org>  Sat,  6 Apr 2002 18:52:57 +0200

pyg (0.9.6-1) unstable; urgency=low

  * minor changes to mail2news.py sendemail() method 
    now does str(msg) on exception
  * addedd support for void header ('Cc: \n\r') even if it is not fully rfc
    conform.
  * addedd support for multiline header of the form
    "Received: \n\r<text>" (closes: #124396)
  * fixed helo hostname sent, now it's the box name
    (closes: #122851)
  * sorry for the long fixing time, to everyone was waiting for them.

 -- Cosimo Alfarano <kalfa@debian.org>  Wed,  3 Apr 2002 22:39:47 +0200

pyg (0.9.5-1) unstable; urgency=low

  * compiled against python2.1 (wlp.c)
  * debian/control updated for dependancies
    python (>= 2.1), I want it to be usable on any 2.X 
    the same for python-dev (closes: #119202)

 -- Cosimo Alfarano <kalfa@debian.org>  Mon, 12 Nov 2001 22:17:28 +0100

pyg (0.9.4-7) unstable; urgency=low

  * fixed some typos
  * fixed import of getopt module (thanks to zack@debian.org)
  * inverted 'if' and 'else' in line 78 of mail2news.py 
    that's not a bug, but I do it for readability closes: #105922

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 20 Jul 2001 00:49:26 +0200

pyg (0.9.4-6) unstable; urgency=low

  * added -P port option to pygm2n 

 -- Cosimo Alfarano <kalfa@debian.org>  Sun, 11 Feb 2001 22:09:03 +0100

pyg (0.9.4-5) unstable; urgency=low

  * added suport for NNTP auth (thanks to Marc Sherman for his patch) closes: #84809

 -- Cosimo Alfarano <kalfa@debian.org>  Sun, 11 Feb 2001 16:43:09 +0100

pyg (0.9.4-4) unstable; urgency=low

  * moved files from /usr/sbin to /usr/bin  closes: #84806
  * changed Maintainer: filed to kalfa@debian.org addr

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Sun, 04 Feb 2000 18:50:00 +0100
 

pyg (0.9.4-3) unstable; urgency=low

  * Sponsored upload.	
  * fixed getopt problem with -M
  
 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 30 Sep 2000 21:50:00 +0200 

pyg (0.9.4-2) unstable; urgency=low

  * added Approved: header (pygm2n)
  * added selection of smtpserver for relay (pygn2m)
  * added conversion from In-Reply-To: to References: (pygm2n)
  * added Suggests: news-transport-system , mail-transport-agent
  * removed NNTP-Posting-Host, X-Trace
  * added TODO file
  * mail to news is working fine.

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Sun, 30 Sep 2000 21:50:00 +0200 

pyg (0.9.4-1) unstable; urgency=low

  * Sponsored upload.
  * New upstream version.
  * mail to news gateway is working. Anyway testing it is adviced before use.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 18 Sep 2000 19:45:19 +0200 

pyg (0.9.3-1) unstable; urgency=low

  * started to write mail to news gateway module

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Sat, 16 Sep 2000 17:30:00 +0200 

pyg (0.9.2-3) unstable; urgency=low

  * Sponsored upload.
  * Swapped binary-{indep,arch} in debian/rules, closes: #71446.
  * Added flex and bison to Build-Depends.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 14 Sep 2000 16:34:10 +0200 

pyg (0.9.2-2) unstable; urgency=low

  * debian/rules rewritten to a more readble dh_make style.
  * moved example files from debian/ to exaples/
  * dh_stripped *.so
  * dh_undocumented *.py
  * Sponsored upload for Cosimo Alfarano <alfarano@students.cs.unibo.it>
  * Initial Debian release.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  2 Sep 2000 22:35:25 +0200

pyg (0.9.2-1) unstable; urgency=low

  * written the whitelist parser (wlp) in yacc+flex
  * written C funtions as python built-in module for wlp
  * fixed parsecommandline() return object
  * added -T opt for test mode and -V for verbose output 

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Sun, 23 Jul 2000 19:30:00 +0200
 

pyg (0.9.1-5) unstable; urgency=low

  * added file locking on log
  * modified default location of whitelist and log file to homedir.
  	log file will moved to /var/log as soon as possible

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Sun, 03 Jul 2000 18:00:00 +0200

pyg (0.9.1-4) unstable; urgency=low

  * Added Message-Id: logging in whitelist

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Sun, 02 Jul 2000 18:30:00 +0200
 

pyg (0.9.1-3) unstable; urgency=low

  * removed Sender: header from nntp article. It is usually set to news@news.domain

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Thu, 29 Jun 2000 16:30:00 +0200

pyg (0.9.1-2) unstable; urgency=low

  * modified copyright note in sources
  * moved parse_cmdline() from news2mail.py to pygs

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Thu, 29 Jun 2000 02:30:00 +0200

pyg (0.9.1-1) unstable; urgency=low

  * enriched whitelist log system

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Thu, 29 Jun 2000 01:30:00 +0200

pyg (0.9-3) unstable; urgency=low

  * corrected load path for modules in pygs. now points to /usr/lib/pyg

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Wed, 28 Jun 2000 00:45:00 +0200

pyg (0.9-2) unstable; urgency=low

  * added basic (and rudimental) whitelist functionality (whitelist.py)

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Wed, 28 Jun 2000 00:05:00 +0200

pyg (0.9-1) unstable; urgency=low

  * Initial release.

 -- Cosimo Alfarano <alfarano@students.cs.unibo.it>  Sun, 25 Jun 2000 17:52:35 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pyg
Section: news
Priority: optional
Maintainer: Cosimo Alfarano <kalfa@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: debhelper, python-dev (>= 2.1), flex, bison

Package: pyg
Architecture: any
Depends: python (>= 2.1)
Suggests: news-transport-system , mail-transport-agent, procmail
Description: Python Mail <-> News Gateway
 Python Gateway Script from news to mail and vice versa.
 .
 It is intended to be a full SMTP/NNTP rfc compliant gateway
 with whitelist manager.
 .
 You will probably have to install a mail-transport-agent and/or
 news-transport-system package to manage SMTP/NNTP traffic.
 .
 MTA is needed for mail2news service, since mail have to be
 processed on a box where pyg is installed. You can use a remote
 smtpserver for news2mail.
 .
 News system is useful but not needed, since you can send articles to a
 remote SMTP server (ie: moderated NG) where is installed pyg, otherwise you
 will need it.
 .
 It refers to rfc 822 (mail) and 850 (news).

=== debian/rules ===
#!/usr/bin/make -f


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

export package=pyg
export debdestdir=$(CURDIR)/debian/$(package)

build: build-stamp

build-stamp:
	dh_testdir
	
	$(MAKE) bin #CFLAGS="-O2 -g -Wall"
	touch build-stamp

clean:
	dh_testdir
	
	-rm -f build-stamp
	-$(MAKE) clean
	
	-dh_clean
	
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(debdestdir)


binary-arch: build install
	dh_testdir
	dh_testroot
	
	dh_installdirs
	dh_installchangelogs
	dh_installdocs
	dh_installmanpages
#	dh_installinfo

	# these are class modules, they don't need manpages,
	# undocumented link means I'm planning to document them.
	#dh_undocumented whitelist.py.3 news2mail.py.3 mail2news.py.3 pyginfo.py.3 
	dh_installexamples

	dh_fixperms
	# dh_fixperms doesn't fix perms in /usr/lib subdirs
	chmod 0644 $(debdestdir)/usr/lib/$(package)/*.py
	# make sure pyg executables have right permission
	chmod 0755 $(debdestdir)/usr/bin/pygn2m
	chmod 0755 $(debdestdir)/usr/bin/pygm2n

	# dh_fixperms doesn't fix perms in /usr/share/doc subdirs
	find $(debdestdir)/usr/share/doc/$(package) -type d -exec chmod 0755 {} \;
	
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb


# no binary arch-indep is present
binary-indep: build install
	dh_testdir
	dh_testroot

binary: binary-indep binary-arch

.PHONY: build binary binary-arch binary-indep clean install

## pyg 0.9.6-4

=== debian/changelog ===
pyg (0.9.6-4) unstable; urgency=low

  * added some more header to be stripepd in mail2news class
    closes:Bug#165322

 -- Cosimo Alfarano <kalfa@debian.org>  Tue,  2 Mar 2004 21:40:59 +0100

pyg (0.9.6-3.1) unstable; urgency=low

  * apply the full (not modified) version of the Matt's patch, for
    compatibility reasons

 -- Cosimo Alfarano <kalfa@debian.org>  Thu,  6 Nov 2003 23:46:31 +0100

pyg (0.9.6-3) unstable; urgency=low

  * applied a modified version of patch from Matt Kraai sent in BTS
    closes:Bug#213936

 -- Cosimo Alfarano <kalfa@debian.org>  Wed,  5 Nov 2003 11:59:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: news
 Priority: optional
 Maintainer: Cosimo Alfarano <kalfa@debian.org>
-Standards-Version: 3.5.6.0
-Build-Depends: debhelper, python-dev (>= 2.1), flex, bison
+Standards-Version: 3.6.1.0
+Build-Depends: debhelper (>= 3.0), python-dev (>= 2.1), flex, bison
 
 Package: pyg
 Architecture: any

## pyg 0.9.6-4.1

=== debian/changelog ===
pyg (0.9.6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380905).
  * Bump DH_COMPAT to 4.
  * Bump Standards-Version to 3.7.2.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 12 Aug 2006 14:01:38 +0200

## pyg 0.9.6-4.1build1

=== debian/changelog ===
pyg (0.9.6-4.1build1) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:20:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: news
 Priority: optional
 Maintainer: Cosimo Alfarano <kalfa@debian.org>
-Standards-Version: 3.6.1.0
-Build-Depends: debhelper (>= 3.0), python-dev (>= 2.1), flex, bison
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 3.0), python-dev (>= 2.1), flex, bison, python-support (>= 0.4.0)
 
 Package: pyg
 Architecture: any
-Depends: python (>= 2.1)
+Depends: ${python:Depends}
 Suggests: news-transport-system , mail-transport-agent, procmail
 Description: Python Mail <-> News Gateway
  Python Gateway Script from news to mail and vice versa.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 export package=pyg
 export debdestdir=$(CURDIR)/debian/$(package)
@@ -59,6 +59,8 @@
 
 	# dh_fixperms doesn't fix perms in /usr/share/doc subdirs
 	find $(debdestdir)/usr/share/doc/$(package) -type d -exec chmod 0755 {} \;
+
+	dh_pysupport
 	
 	dh_strip
 	dh_compress

## pyg 0.9.6-4.2

=== debian/changelog ===
pyg (0.9.6-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add BLDSHARED to Makefile.pre.in for python2.5 compatibility.
    Closes: #476160
  * Add shlibs:Depends in debian/control.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 20 Apr 2008 16:49:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: pyg
 Architecture: any
-Depends: ${python:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}
 Suggests: news-transport-system , mail-transport-agent, procmail
 Description: Python Mail <-> News Gateway
  Python Gateway Script from news to mail and vice versa.

## pyg 0.9.7

=== debian/changelog ===
pyg (0.9.7) unstable; urgency=low

  * Added maildrop as a possible deps (Closes: #385771)
  * Typos fixed in HOWTO.
  * Creating md5sum control file

 -- Cosimo Alfarano <kalfa@debian.org>  Fri, 18 Jul 2008 13:35:57 -0400

## pyg 0.9.7build1

=== debian/changelog ===
pyg (0.9.7build1) jaunty; urgency=low

  * No changes. Rebuild to build with Python 2.6. (LP: #342502)

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Fri, 13 Mar 2009 21:01:33 +0000

## pyg 0.9.7build2

=== debian/changelog ===
pyg (0.9.7build2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:08:51 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: pyg
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}
-Suggests: news-transport-system , mail-transport-agent, procmail
+Suggests: news-transport-system , mail-transport-agent, procmail | maildrop | sensible-mda
 Description: Python Mail <-> News Gateway
  Python Gateway Script from news to mail and vice versa.
  .

## pyg 0.9.7ubuntu1

=== wlp/C/Makefile ===
--- 
+++ 
@@ -12,21 +12,23 @@
 SRCDIR=.
 BINDIR=.
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 OBJFILE=structs.o commands.tab.o lex.yy.o
 
 all: archive bin
 
 # archive file for python module
-archive: structs bison flex  /usr/lib/libfl.a macro.h structs.h commands.tab.h
+archive: structs bison flex  macro.h structs.h commands.tab.h
 	$(AR) $(AROPTS)  $(BINDIR)/wlp.a $(OBJFILE) \
-		/usr/lib/libfl.a
+		/usr/lib/$(DEB_HOST_MULTIARCH)/libfl.a
 
 # binary (executable) file for testing
 executable: bin
 
-bin: structs bison flex  /usr/lib/libfl.a macro.h structs.h commands.tab.h
+bin: structs bison flex  macro.h structs.h commands.tab.h
 	$(CC) $(CCSHARED) $(CCOPTS) $(OBJFILE) \
-		yytest.c /usr/lib/libfl.a -o ./yytest
+		yytest.c /usr/lib/$(DEB_HOST_MULTIARCH)/libfl.a -o ./yytest
 
 flex:
 	$(FLEX) $(FLEXOPTS) commands.l

=== debian/changelog ===
pyg (0.9.7ubuntu1) quantal; urgency=low

  * adapt /wlp/C/Makefile for multiarched libfl.a
  * include required string.h in wlp/C/commands.{l,y}

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 01 Oct 2012 21:10:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pyg
 Section: news
 Priority: optional
-Maintainer: Cosimo Alfarano <kalfa@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cosimo Alfarano <kalfa@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 3.0), python-dev (>= 2.1), flex, bison, python-support (>= 0.4.0)

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	dh_md5sums
 	dh_builddeb

## pyg 0.9.8

=== wlp/C/Makefile ===
CC=gcc
AR=ar
FLEX=flex
YACC=bison

CCOPTS=-Wall -ansi
CCSHARED=-fPIC
AROPTS=-rs
FLEXOPTS=
YACCOPTS=-d

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

SRCDIR=.
BINDIR=.

OBJFILE=structs.o commands.tab.o lex.yy.o

all: archive bin

# archive file for python module
archive: structs bison flex  /usr/lib/libfl.a macro.h structs.h commands.tab.h
	$(AR) $(AROPTS)  $(BINDIR)/wlp.a $(OBJFILE) \
		/usr/lib/libfl.a

# binary (executable) file for testing
executable: bin

bin: structs bison flex  /usr/lib/libfl.a macro.h structs.h commands.tab.h
	$(CC) $(CCSHARED) $(CCOPTS) $(OBJFILE) \
		yytest.c /usr/lib/libfl.a -o ./yytest

flex:
	$(FLEX) $(FLEXOPTS) commands.l
	$(CC) $(CCSHARED) -c lex.yy.c -o lex.yy.o

bison:
	$(YACC) $(YACCOPTS) -d commands.y -b commands
	$(CC) $(CCSHARED) -c commands.tab.c -o commands.tab.o

structs:
	$(CC) $(CCSHARED) $(CCOPTS) -c structs.c -o structs.o 

clean:
	rm -f $(OBJFILE) lex.yy.c commands.tab.h commands.tab.c wlp.a yytest

=== debian/changelog ===
pyg (0.9.8) unstable; urgency=low

  * Added string.h to avoid implicit declarations in yacc definitions.
    Closes: #689349
  * Remove some compile-time warning from wlp/C/wlp.c
  * not ignore errors in clean targets on all Makefile
  * debian/compat bump to 5 (higher should be tested)
  * use dh_python2

 -- Cosimo Alfarano <kalfa@debian.org>  Tue, 02 Oct 2012 14:04:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: pyg
 Section: news
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cosimo Alfarano <kalfa@debian.org>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 3.0), python-dev (>= 2.1), flex, bison, python-support (>= 0.4.0)
+Maintainer: Cosimo Alfarano <kalfa@debian.org>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 3.0), python-dev (>= 2.6.6-3~), flex, bison
 
 Package: pyg
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Suggests: news-transport-system , mail-transport-agent, procmail | maildrop | sensible-mda
 Description: Python Mail <-> News Gateway
  Python Gateway Script from news to mail and vice versa.

## pyg 0.9.8ubuntu1

=== debian/changelog ===
pyg (0.9.8ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - adapt /wlp/C/Makefile for multiarched libfl.a
    - include required string.h in wlp/C/commands.l

 -- Logan Rosen <logatronico@gmail.com>  Mon, 26 Nov 2012 17:28:37 -0500

## pyg 0.9.8ubuntu2

=== Makefile ===
--- 
+++ 
@@ -13,5 +13,5 @@
 	install *.so $(DESTDIR)/usr/lib/pyg
 
 clean:
-	-$(MAKE) -C $(WLPDIR) clean
-	-rm *.pyc *.so
+	$(MAKE) -C $(WLPDIR) clean
+	rm -f *.pyc *.so

=== wlp/Makefile ===
--- 
+++ 
@@ -28,15 +28,15 @@
 
 
 clean: cleanmodule cleansrc
-	-rm $(BINDIR)/*.so
+	rm -f $(BINDIR)/*.so
 
 cleansrc:
-	-$(MAKE) -C $(CSRCDIR) clean
+	$(MAKE) -C $(CSRCDIR) clean
 
 cleanmodule:
-	-$(MAKE) -C $(MODULEDIR) clean
-	-rm $(MODULEDIR)/Makefile.pre $(MODULEDIR)/Makefile
-	-rm $(MODULEDIR)/config.c
-	-rm $(MODULEDIR)/sedscript
-	-rm $(MODULEDIR)/Setup
+	@if test -f $(MODULEDIR)/Makefile; then $(MAKE) -C $(MODULEDIR) clean ;fi
+	rm -f $(MODULEDIR)/Makefile.pre $(MODULEDIR)/Makefile
+	rm -f $(MODULEDIR)/config.c
+	rm -f $(MODULEDIR)/sedscript
+	rm -f $(MODULEDIR)/Setup

=== wlp/C/Makefile ===
--- 
+++ 
@@ -17,21 +17,23 @@
 SRCDIR=.
 BINDIR=.
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 OBJFILE=structs.o commands.tab.o lex.yy.o
 
 all: archive bin
 
 # archive file for python module
-archive: structs bison flex  /usr/lib/libfl.a macro.h structs.h commands.tab.h
+archive: structs bison flex  macro.h structs.h commands.tab.h
 	$(AR) $(AROPTS)  $(BINDIR)/wlp.a $(OBJFILE) \
-		/usr/lib/libfl.a
+		/usr/lib/$(DEB_HOST_MULTIARCH)/libfl.a
 
 # binary (executable) file for testing
 executable: bin
 
-bin: structs bison flex  /usr/lib/libfl.a macro.h structs.h commands.tab.h
+bin: structs bison flex  macro.h structs.h commands.tab.h
 	$(CC) $(CCSHARED) $(CCOPTS) $(OBJFILE) \
-		yytest.c /usr/lib/libfl.a -o ./yytest
+		yytest.c /usr/lib/$(DEB_HOST_MULTIARCH)/libfl.a -o ./yytest
 
 flex:
 	$(FLEX) $(FLEXOPTS) commands.l

=== debian/changelog ===
pyg (0.9.8ubuntu2) raring; urgency=low

  * Fix build failure with python in multiarch location.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Apr 2013 18:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pyg
 Section: news
 Priority: optional
-Maintainer: Cosimo Alfarano <kalfa@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cosimo Alfarano <kalfa@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 3.0), python-dev (>= 2.6.6-3~), flex, bison

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=4
-
 export package=pyg
 export debdestdir=$(CURDIR)/debian/$(package)
 
 build: build-stamp
+
+build-arch: build
+build-indep: build
 
 build-stamp:
 	dh_testdir
@@ -21,10 +21,10 @@
 clean:
 	dh_testdir
 	
-	-rm -f build-stamp
-	-$(MAKE) clean
+	rm -f build-stamp
+	$(MAKE) clean
 	
-	-dh_clean
+	dh_clean
 	
 install: build
 	dh_testdir
@@ -42,7 +42,7 @@
 	dh_installdirs
 	dh_installchangelogs
 	dh_installdocs
-	dh_installmanpages
+	dh_installman $(CURDIR)/debian/pygn2m.1 $(CURDIR)/debian/pygm2n.1
 #	dh_installinfo
 
 	# these are class modules, they don't need manpages,
@@ -60,7 +60,7 @@
 	# dh_fixperms doesn't fix perms in /usr/share/doc subdirs
 	find $(debdestdir)/usr/share/doc/$(package) -type d -exec chmod 0755 {} \;
 
-	dh_pysupport
+	dh_python2
 	
 	dh_strip
 	dh_compress
@@ -78,4 +78,4 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build binary binary-arch binary-indep clean install
+.PHONY: build build-arch build-indep binary binary-arch binary-indep clean install

## pyg engine-1.0.0a1

=== requirements.txt ===
pygame>=2.5.0
pymunk>=6.4.0

## pyg extension-0.0.4

=== requirements.txt ===
deprecated
pandas
numpy
torch
ase
numba
scipy
joblib~=0.14.1
tqdm~=4.47.0
pymatgen~=2020.11.11
mgetool>=0.0.30
